edu.sc.seis.sod

## Class LocalSeismogramArm

- java.lang.Object
- - edu.sc.seis.sod.AbstractWaveformRecipe
  - - edu.sc.seis.sod.LocalSeismogramArm

- All Implemented Interfaces:
    SodElement, Subsetter

      public class LocalSeismogramArm
      extends AbstractWaveformRecipe
      implements Subsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.AbstractWaveformRecipe

      `dcLocator, defaultAvailableDataSubsetter, eventStation, PACKAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSeismogramArm(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(WaveformProcess proc)`
    `AvailableDataSubsetter` | `getAvailableDataSubsetter()`
    `EventChannelSubsetter` | `getEventChannelSubsetter()`
    `WaveformProcess[]` | `getProcesses()`
    `RequestGenerator` | `getRequestGenerator()`
    `RequestSubsetter` | `getRequestSubsetter()`
    `SeismogramSourceLocator` | `getSeismogramDCLocator()`
    `void` | `handle(org.w3c.dom.Element el)`
    `void` | `processAvailableDataSubsetter(EventChannelPair ecp, SeismogramSource seismogramSource, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters)`
    `void` | `processLocalSeismogramArm(EventChannelPair ecp)`
    `void` | `processRequestGeneratorSubsetter(EventChannelPair ecp)`
    `void` | `processRequestSubsetter(EventChannelPair ecp, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters)`
    `void` | `processSeismograms(EventChannelPair ecp, SeismogramSource dataCenter, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] outfilters, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] localSeismograms, java.util.List<WaveformProcess> processList)`
    `protected static java.lang.String` | `requestToString(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] in, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] avail)`
    `static WaveformResult` | `runProcessorThreadCheck(WaveformProcess processor, edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)`

    - ### Methods inherited from class edu.sc.seis.sod.AbstractWaveformRecipe

      `addStatusMonitor, getEventStationSubsetter, processConfig, setStatus, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSeismogramArm

          public LocalSeismogramArm(org.w3c.dom.Element config)
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### handle

          public void handle(org.w3c.dom.Element el)
                      throws ConfigurationException

      Specified by:
        `handle` in class `AbstractWaveformRecipe`
      Throws:
        `ConfigurationException`

    - #### getEventChannelSubsetter

          public EventChannelSubsetter getEventChannelSubsetter()

    - #### getRequestGenerator

          public RequestGenerator getRequestGenerator()

    - #### getRequestSubsetter

          public RequestSubsetter getRequestSubsetter()

    - #### getAvailableDataSubsetter

          public AvailableDataSubsetter getAvailableDataSubsetter()

    - #### getSeismogramDCLocator

          public SeismogramSourceLocator getSeismogramDCLocator()

    - #### getProcesses

          public WaveformProcess[] getProcesses()

    - #### add

          public void add(WaveformProcess proc)

      Specified by:
        `add` in class `AbstractWaveformRecipe`

    - #### processLocalSeismogramArm

          public void processLocalSeismogramArm(EventChannelPair ecp)

    - #### processRequestGeneratorSubsetter

          public void processRequestGeneratorSubsetter(EventChannelPair ecp)

    - #### processRequestSubsetter

          public void processRequestSubsetter(EventChannelPair ecp,
                                              edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters)

    - #### processAvailableDataSubsetter

          public void processAvailableDataSubsetter(EventChannelPair ecp,
                                                    SeismogramSource seismogramSource,
                                                    edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters)

    - #### processSeismograms

          public void processSeismograms(EventChannelPair ecp,
                                         SeismogramSource dataCenter,
                                         edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters,
                                         edu.iris.Fissures.IfSeismogramDC.RequestFilter[] outfilters,
                                         edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] localSeismograms,
                                         java.util.List<WaveformProcess> processList)

    - #### runProcessorThreadCheck

          public static WaveformResult runProcessorThreadCheck(WaveformProcess processor,
                                                               edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                               edu.iris.Fissures.network.ChannelImpl channel,
                                                               edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                                               edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                                               edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                                               CookieJar cookieJar)
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### requestToString

          protected static java.lang.String requestToString(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] in,
                                                            edu.iris.Fissures.IfSeismogramDC.RequestFilter[] avail)